Update a checkout setting
curl --request PATCH \
--url https://merchant-demo.zahlo.eu/api/v1/checkout-settings/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"locale": "en",
"allowedOrigins": [
"https://store.example"
],
"paymentMethods": [
"card",
"bank"
]
}
'import requests
url = "https://merchant-demo.zahlo.eu/api/v1/checkout-settings/{id}"
payload = {
"locale": "en",
"allowedOrigins": ["https://store.example"],
"paymentMethods": ["card", "bank"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locale: 'en',
allowedOrigins: ['https://store.example'],
paymentMethods: ['card', 'bank']
})
};
fetch('https://merchant-demo.zahlo.eu/api/v1/checkout-settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"locale": "en",
"allowedOrigins": [
"https://store.example"
],
"paymentMethods": [
"card",
"bank"
]
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Checkout
Update a checkout setting
Update a checkout setting. Use the response status and request ID to decide whether to retry, reconcile, or ask the customer for action.
PATCH
/
api
/
v1
/
checkout-settings
/
{id}
Update a checkout setting
curl --request PATCH \
--url https://merchant-demo.zahlo.eu/api/v1/checkout-settings/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"locale": "en",
"allowedOrigins": [
"https://store.example"
],
"paymentMethods": [
"card",
"bank"
]
}
'import requests
url = "https://merchant-demo.zahlo.eu/api/v1/checkout-settings/{id}"
payload = {
"locale": "en",
"allowedOrigins": ["https://store.example"],
"paymentMethods": ["card", "bank"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locale: 'en',
allowedOrigins: ['https://store.example'],
paymentMethods: ['card', 'bank']
})
};
fetch('https://merchant-demo.zahlo.eu/api/v1/checkout-settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"locale": "en",
"allowedOrigins": [
"https://store.example"
],
"paymentMethods": [
"card",
"bank"
]
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Authorizations
Server-side merchant API key. Never expose it in browser code.
Path Parameters
The resource identifier returned by the merchant API.
Body
application/json